﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<AdvancedMVC.Areas.RestResourceDemo.Models.Person>>" %>

<asp:Content ContentPlaceHolderID="TitleContent" runat="server">People</asp:Content>

<asp:Content ContentPlaceHolderID="MainContent" runat="server">

    <h2>People <span style="font-size: 50%">(as <%: Html.ActionLink("JSON", "ListJson") %>, <%: Html.ActionLink("XML", "ListXml") %>)</span></h2>

    <table>
        <tr>
            <th></th>
            <th>
                First Name
            </th>
            <th>
                Last Name
            </th>
        </tr>

    <% foreach (var item in Model) { %>
    
        <tr>
            <td style="font-size: 0.75em">
                <%: Html.ActionLink("Details", "Details", new { id = item.Id }, null) %> |
                <%: Html.ActionLink("Edit", "Edit", new { id = item.Id }, null) %>
            </td>
            <td>
                <%: item.FirstName %>
            </td>
            <td>
                <%: item.LastName %>
            </td>
        </tr>
    
    <% } %>

    </table>

    <p>
        <%: Html.ActionLink("Create New", "New") %>
    </p>

</asp:Content>
